Subject: bug#39736: 27.0.60; wrong display of scaled checkerd pattern image

From: Alan Third <[email-masked]>
Date: Mon, 24 Feb 2020 22:39:04 +0100 (CET)

On Mon, Feb 24, 2020 at 09:24:31PM +0200, Eli Zaretskii wrote:
> > Date: Mon, 24 Feb 2020 20:05:23 +0100 (CET)
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked]
> > 
> > > Evaluating the form below, a solid gray square is displayed.
> > > 
> > > (let ((data "\
> > > P1
> > > 8 8
> > > 01010101
> > > 10101010
> > > 01010101
> > > 10101010
> > > 01010101
> > > 10101010
> > > 01010101
> > > 10101010
> > > "))
> > >   (insert-image (create-image data 'pbm t :scale 8)))
> > 
> > I believe this is the same as bug#38394. Could you perhaps try the
> > patch at
> > 
> >     https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38394
> 
> The OP is on MS-Windows, and the patch is for XRender configurations,
> so it won't help, I think.

Ah, I missed that. Thanks for pointing it out.

The problem is likely something similar, though, where there’s some
sort of filtering going on, which is definitely wanted when scaling
the image down, but is less welcome when scaling up.
-- 
Alan Third